AMRCTL(8)

NAME
amrctl - Control utility for AMI MegaRaid controllers

SYNOPSIS
amrctl stat [-bgv] [-a attempts] [-f device] [-l volno] [-p driveno] [-s busno] [-s busno:driveno] [-t microseconds]

DESCRIPTION
The amrctl queries or controls AMI MegaRaid controllers supported by the amr(4) driver.

Only the stat subcommand is currently implemented, and reports status of the controller. The options for the stat subcommand are as follows:

-a attempts
    Number of retries for a command before giving up. Default 5.

-b  Report battery status.

-f device
    Device to use. Default to /dev/amr0.

-g  Report global paramters for the controller.

-l volno
    Report status of a logical drive.

-p driveno
    Report status of a physical drive.

-s busno
    Report status of all physical drives on the specified bus.

-s busno:driveno
    Report status of the specified physical drive on the specified bus.

-t microseconds
    Delay between retries for a command.

-v  Increase verbosity level by one.

SEE ALSO
amr(4)

HISTORY
The amrctl command first appeared in NetBSD 4.0.

AUTHORS
The amrctl command was written by Pierre David <Pierre.David@crc.u-strasbg.fr> and Jung-uk Kim <jkim@FreeBSD.org> for FreeBSD.